<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
	<xsl:template match="RSS-READER-VIEW">
		<table border="0" style="width: 100%;">
			<tr>
				<td valign="top" style="padding: 5px 10px 5px 10px;">
					<xsl:apply-templates select="TOOLBAR[@ID='channels']"/>
				</td>
			</tr>
			<tr>
				<td valign="top" style="padding: 5px 10px 5px 10px;">
					<xsl:call-template name="BLOCK-MODULE-BUTTONS"/>
				</td>
			</tr>
		</table>
	</xsl:template>
	
	<xsl:template match="TOOLBAR[@ID='channels']/TOOLBAR-FIELD[@ID='channels-list']">
		<xsl:apply-templates select="CHANNELS-LIST"/>	
	</xsl:template>

	<xsl:template match="CHANNELS-LIST">
		<script type="text/javascript" src="/js/util.js?{$version}.{$build}"></script>
		<script type="text/javascript" src="/modules/RssReader/js/edit_control.js?{$version}.{$build}"></script>
		<script type="text/javascript" src="/js/object_selection.js?{$version}.{$build}"></script>
		<script type="text/javascript" language="javascript">
			<xsl:comment>
				self.selectionObject = new SbObjectSelection();
				self.editControl = new SbRssEditControl(self.selectionObject);
			//</xsl:comment>
		</script>
		<xsl:apply-templates select="CHANNEL"/>	
	</xsl:template>

	<xsl:template match="CHANNEL">
		<div style="float: left; background-color: #ffffff;">
			<div id="Rss{@CODE}" style="padding: 4px 4px 4px 4px; background-color: #ffffff;" title="{@TITLE}">
				<div id="Rss{@CODE}Source" class="SBGridViewHeader" style="text-align: center; vertical-align: middle; padding: 5px 5px 5px 5px; cursor: pointer; cursor: hand; border: 1px solid #FFFFFF;">
					<xsl:value-of select="@TITLE"/>
				</div>
			</div>
		</div>
		<script type="text/javascript" language="javascript">
			<xsl:comment>
				self.editControl.registerObject('Rss<xsl:value-of select="@CODE"/>', '<xsl:value-of select="@RSS"/>', '<xsl:value-of select="@CODE"/>', 'Rss<xsl:value-of select="@CODE"/>Source');
				<xsl:if test="@SELECTED">
					self.editControl.setSelectedObject('Rss<xsl:value-of select="@CODE"/>');
				</xsl:if>
				<xsl:if test="@CUSTOM">
					self.editControl.setCustomObject('Rss<xsl:value-of select="@CODE"/>');
				</xsl:if>
			//</xsl:comment>
		</script>
	</xsl:template>

	<xsl:template match="TOOLBAR[@ID='channels']/TOOLBAR-FIELD[@ID='rss-input-field']">
		<br/>
		<table border="0" style="width: 100%;">
			<tr>
				<td valign="top" style="vertical-align: middle; height: 25px;">
					<span id="RssPredefinedChannel" class="SB_Control_Input_Input" style="display: block; width: 100%; background-color: #DDDDDD;"/>
					<input type="text" maxlength="255" autocomplete="off" id="{CONTROL/@ID}" name="{CONTROL/@NAME}" value="{CONTROL/@VALUE}" class="SB_Control_Input_Input" style="visibility: hidden; display: none; width: 100%;"/>
					<script type="text/javascript" language="javascript">
						<xsl:comment>
							self.editControl.setInputObject('<xsl:value-of select="CONTROL/@ID"/>');
							self.editControl.setPredefinedObject('RssPredefinedChannel');
						//</xsl:comment>
					</script>
				</td>
			</tr>
		</table>
	</xsl:template>

</xsl:stylesheet>